cURL
curl -X PUT "https://app.cotool.ai/notification-settings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"notifyAllItems":true,"notifyRelevantItems":true,"notifyExposedItems":true,"destinationIds":["string"]}'import requests
url = "https://app.cotool.ai/notification-settings"
payload = {
"notifyAllItems": True,
"notifyRelevantItems": True,
"notifyExposedItems": True,
"destinationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notifyAllItems: true,
notifyRelevantItems: true,
notifyExposedItems: true,
destinationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://app.cotool.ai/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/notification-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"notifyAllItems\": true,\n \"notifyRelevantItems\": true,\n \"notifyExposedItems\": true,\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/notification-settings"
payload := strings.NewReader("{\n \"notifyAllItems\": true,\n \"notifyRelevantItems\": true,\n \"notifyExposedItems\": true,\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"settings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifyAllItems": true,
"notifyRelevantItems": true,
"notifyExposedItems": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"destinations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "<string>",
"config": {
"url": "<string>",
"headerName": "<string>"
},
"token": "<string>",
"hasToken": true
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Intel
Update threat intel notification settings
Update organization-wide threat intel notification settings.
PUT
/
notification-settings
cURL
curl -X PUT "https://app.cotool.ai/notification-settings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"notifyAllItems":true,"notifyRelevantItems":true,"notifyExposedItems":true,"destinationIds":["string"]}'import requests
url = "https://app.cotool.ai/notification-settings"
payload = {
"notifyAllItems": True,
"notifyRelevantItems": True,
"notifyExposedItems": True,
"destinationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notifyAllItems: true,
notifyRelevantItems: true,
notifyExposedItems: true,
destinationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://app.cotool.ai/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/notification-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"notifyAllItems\": true,\n \"notifyRelevantItems\": true,\n \"notifyExposedItems\": true,\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/notification-settings"
payload := strings.NewReader("{\n \"notifyAllItems\": true,\n \"notifyRelevantItems\": true,\n \"notifyExposedItems\": true,\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"settings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifyAllItems": true,
"notifyRelevantItems": true,
"notifyExposedItems": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"destinations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "<string>",
"config": {
"url": "<string>",
"headerName": "<string>"
},
"token": "<string>",
"hasToken": true
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Body
application/json
Whether every threat intel item should notify
Whether relevant threat intel items should notify
Whether exposed threat intel items should notify
Destinations for threat intel notifications
Was this page helpful?
⌘I